Bug 151498 - up2date could protect core packages from being replaced
up2date could protect core packages from being replaced
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pradeep Kilambi
Ken Reilly
: FutureFeature
: 151499 (view as bug list)
Depends On:
Blocks: 151519
  Show dependency treegraph
 
Reported: 2005-03-18 12:52 EST by Dag Wieers
Modified: 2013-02-26 19:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:32:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2005-03-18 12:52:01 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20041020 Galeon/1.3.20

Description of problem:
I guess it would benefit everyone (Red Hat, users, me) if up2date had an option (maybe enabled by default) to protect it's own/core packages. Ie. prefer RHN packages over 3rd party packages.

I guess it would make sense to have this by default since it could prevent support calls to Red Hat about something that is caused by 3rd party packages.

I try to keep the number of replaced packages down, but a switch like this could allow me to offer more packages and leave it up to the user whether to use the official package or the 3rd party package.

This in itself will lead to a better understanding what packages are not Red Hat's (and by consequence excluded from support).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. RFE
2.
3.
  

Additional info:
Comment 1 Dag Wieers 2005-03-18 12:54:19 EST
*** Bug 151499 has been marked as a duplicate of this bug. ***
Comment 2 Suzanne Hillman 2005-03-18 16:31:13 EST
Internal RFE bug #151519 entered; will be considered for future releases.
Comment 4 Jiri Pallich 2012-06-20 09:32:46 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.